Overwrite an existing Big Table by clearing all rows and (optionally) adding new data.Row IDs for any added rows are returned in the response in the same order as the input row data is passed in the request. Row data may be passed in JSON, CSV, or TSV format.If a column is not included in the passed row data, it will be empty in the added row. If a column is passed that does not exist in the updated table schema, or with a value that does not match the column’s type, the default behavior is for no action to be taken and the API call to return an error. However, you can control this behavior with the onSchemaError query parameter.
There is currently no way to supply values for user-specific columns in the API. Those columns will be cleared when using this endpoint.
You can optionally update the table schema at the same time by providing a new schema in the JSON request body. If you do not provide a schema, the existing schema will be used.When using a CSV or TSV request body, you cannot pass a schema. If you need to update the schema, use the onSchemaError=updateSchema query parameter, or stash the CSV/TSV data and pass a JSON request body referencing the stash ID.
To clear all rows from a table, send a PUT request with an empty array in the rows field:
{ "rows": []}
Reset table data
If you want to reset a table’s data with a small number of rows, you can do so by providing the data inline in the rows field (being sure that row object structure matches the table schema):
However, this is only appropriate for relatively small initial datasets (around a few hundred rows or less, depending on schema complexity). If you need to work with a larger dataset you should utilize stashing.
Reset table data from Stash
Stashing is our process for handling the upload of large datasets. Break down your dataset into smaller, more manageable, pieces and upload them to a single stash ID.Then, to reset a table’s data from the stash, use the $stashID reference in the rows field instead of providing the data inline:
{ "rows": { "$stashID": "20240215-job32" }}
Batch update table rows
This endpoint can be combined with the Get Rows endpoint and stashing to fetch the current table data, modify it, and then overwrite the table with the updated data:
Call the Get Rows endpoint to fetch the current table data. Pass a reasonably high limit query parameter because you want to fetch all rows in as few requests as possible.
Modify the data as desired, and then stash the modified rows using the Stash Data endpoint.
If a continuation was returned in step 1, repeat steps 1-3, passing the continuation query parameter to Get Rows until all rows have been fetched, modified, and stashed.
Finally, call this endpoint with same stash ID used in step 2. This will overwrite the table with the updated data:
{ "rows": { "$stashID": "20240215-job32" }}
Risk of Data LossWe strongly recommend you use the If-Match header to ensure the table is not modified between steps 1 and 4. See the Data Versioning guide for more information.
Allow asynchronous processing, which will return a job ID. Note that this does not force asynchronouys processing. The caller must handle both synchronous and asynchronous responses.
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Glide API Docs","colors":{"primary":"#18BED4","light":"#B7B2F0","dark":"#18BED4"},"favicon":"/logo/favicon.svg","api":{"openapi":"openapi/swagger.json"},"navbar":{"links":[{"label":"Glide User Docs","href":"https://www.glideapps.com/docs"}],"primary":{"type":"button","label":"Open Glide","href":"https://go.glideapps.com"}},"footer":{"socials":{"youtube":"https://www.youtube.com/glideapps","x":"https://x.com/glideapps","github":"https://github.com/glideapps","linkedin":"https://www.linkedin.com/company/glideapps/"}},"styling":{"latex":false},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"glide","hasAudioNarration":false,"actualSubdomain":"glide","customDomains":["apidocs.glideapps.com"],"gitSource":{"type":"github","owner":"glideapps","repo":"api-docs","deployBranch":"main","contentDirectory":"","isPrivate":false,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6a20c52b3f39494aa9ef0edd","collectionId":"570d6a24-7be4-4099-8283-8344482920dc","schemaVersion":"v2"},"feedback":{"thumbs":true,"issues":true},"entitlements":{"AI_CHAT":{"status":"DISABLED"}},"buildId":"6a20c52b3f39494aa9ef0edd:success","clientVersion":"0.0.4045","searchFilterCounts":[{"language":"default","tag":"Tables","count":10},{"language":"default","tag":"General","count":4},{"language":"default","tag":"Stashing","count":3},{"language":"default","tag":"Resources","count":2},{"language":"default","tag":"Uploads","count":2},{"language":"default","tag":"Jobs","count":1},{"language":"default","tag":"Tutorials","count":1}]},"assistantConfig":{},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"byok-sep-25","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"vite-origin","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-updated-9-15","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"api-reference/v2/tables/put-tables","slug":"/api-reference/v2/tables/put-tables","pageMetadata":{"title":"Overwrite Table","openapi":"put /tables/{tableID}","description":"Replaces the schema and/or data of a Big Table","href":"/api-reference/v2/tables/put-tables","hidden":false},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Replaces the schema and/or data of a Big Table\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,code:`code`,li:`li`,ol:`ol`,p:`p`,pre:`pre`,span:`span`,strong:`strong`,..._provideComponents(),...props.components},{Accordion,AccordionGroup,CodeBlock,Heading,Warning}=_components;if(!Accordion)_missingMdxReference(`Accordion`,true);if(!AccordionGroup)_missingMdxReference(`AccordionGroup`,true);if(!CodeBlock)_missingMdxReference(`CodeBlock`,true);if(!Heading)_missingMdxReference(`Heading`,true);if(!Warning)_missingMdxReference(`Warning`,true);return _jsxs(_Fragment,{children:[_jsx(_components.p,{children:`Overwrite an existing Big Table by clearing all rows and (optionally) adding new data.`}),`\n`,_jsx(_components.p,{children:`Row IDs for any added rows are returned in the response in the same order as the input row data is passed in the request. Row data may be passed in JSON, CSV, or TSV format.`}),`\n`,_jsxs(_components.p,{children:[`If a column is not included in the passed row data, it will be empty in the added row. If a column is passed that does not exist in the updated table schema, or with a value that does not match the column’s type, the default behavior is for no action to be taken and the API call to `,_jsx(_components.a,{href:`/api-reference/v2/general/errors#invalid-row-data`,children:`return an error`}),`. However, you can control this behavior with the `,_jsx(_components.code,{children:`onSchemaError`}),` query parameter.`]}),`\n`,_jsx(Warning,{children:_jsx(_components.p,{children:`There is currently no way to supply values for user-specific columns in the API. Those columns will be cleared when using this endpoint.`})}),`\n`,_jsx(Heading,{level:`3`,id:`updating-the-schema`,children:`Updating the Schema`}),`\n`,_jsx(_components.p,{children:`You can optionally update the table schema at the same time by providing a new schema in the JSON request body. If you do not provide a schema, the existing schema will be used.`}),`\n`,_jsxs(_components.p,{children:[`When using a CSV or TSV request body, you cannot pass a schema. If you need to update the schema, use the `,_jsx(_components.code,{children:`onSchemaError=updateSchema`}),` query parameter, or `,_jsx(_components.a,{href:`/api-reference/v2/stashing/introduction`,children:`stash`}),` the CSV/TSV data and pass a JSON request body referencing the stash ID.`]}),`\n`,_jsx(Heading,{level:`2`,id:`examples`,children:`Examples`}),`\n`,_jsxs(AccordionGroup,{children:[_jsxs(Accordion,{title:`Clear table data`,id:`clear-table-data`,children:[_jsxs(_components.p,{children:[`To clear all rows from a table, send a PUT request with an empty array in the `,_jsx(_components.code,{children:`rows`}),` field:`]}),_jsx(CodeBlock,{filename:``,numberOfLines:`3`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`3`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"rows\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: []`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})})]}),_jsxs(Accordion,{title:`Reset table data`,id:`reset-table-data`,children:[_jsxs(_components.p,{children:[`If you want to reset a table’s data with a small number of rows, you can do so by providing the data inline in the `,_jsx(_components.code,{children:`rows`}),` field (being sure that row object structure matches the table schema):`]}),_jsx(CodeBlock,{filename:``,numberOfLines:`7`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`7`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`[`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"fullName\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Alex Bard\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"ageInYears\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`30`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"hiredOn\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"2021-07-03\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`]`})}),`\n`]})})}),_jsx(_components.p,{children:`However, this is only appropriate for relatively small initial datasets (around a few hundred rows or less, depending on schema complexity). If you need to work with a larger dataset you should utilize stashing.`})]}),_jsxs(Accordion,{title:`Reset table data from Stash`,id:`reset-table-data-from-stash`,children:[_jsxs(_components.p,{children:[_jsx(_components.a,{href:`/api-reference/v2/stashing/introduction`,children:`Stashing`}),` is our process for handling the upload of large datasets. Break down your dataset into smaller, more manageable, pieces and `,_jsx(_components.a,{href:`/api-reference/v2/stashing/put-stashes-serial`,children:`upload them to a single stash ID`}),`.`]}),_jsxs(_components.p,{children:[`Then, to reset a table’s data from the stash, use the `,_jsx(_components.code,{children:`$stashID`}),` reference in the `,_jsx(_components.code,{children:`rows`}),` field instead of providing the data inline:`]}),_jsx(CodeBlock,{filename:``,numberOfLines:`3`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`3`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"rows\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: { `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"$stashID\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"20240215-job32\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})})]}),_jsxs(Accordion,{title:`Batch update table rows`,id:`batch-update-table-rows`,children:[_jsxs(_components.p,{children:[`This endpoint can be combined with the `,_jsx(_components.a,{href:`/api-reference/v2/tables/get-table-rows`,children:`Get Rows`}),` endpoint and `,_jsx(_components.a,{href:`/api-reference/v2/stashing/introduction`,children:`stashing`}),` to fetch the current table data, modify it, and then overwrite the table with the updated data:`]}),_jsxs(_components.ol,{children:[`\n`,_jsxs(_components.li,{children:[`Call the `,_jsx(_components.a,{href:`/api-reference/v2/tables/get-table-rows`,children:`Get Rows`}),` endpoint to fetch the current table data. Pass a reasonably high `,_jsx(_components.code,{children:`limit`}),` query parameter because you want to fetch all rows in as few requests as possible.`]}),`\n`,_jsxs(_components.li,{children:[`Modify the data as desired, and then stash the modified rows using the `,_jsx(_components.a,{href:`/api-reference/v2/stashing/put-stashes-serial`,children:`Stash Data`}),` endpoint.`]}),`\n`,_jsxs(_components.li,{children:[`If a `,_jsx(_components.code,{children:`continuation`}),` was returned in step 1, repeat steps 1-3, passing the `,_jsx(_components.code,{children:`continuation`}),` query parameter to `,_jsx(_components.a,{href:`/api-reference/v2/tables/get-table-rows`,children:`Get Rows`}),` until all rows have been fetched, modified, and stashed.`]}),`\n`,_jsx(_components.li,{children:`Finally, call this endpoint with same stash ID used in step 2. This will overwrite the table with the updated data:`}),`\n`]}),_jsx(CodeBlock,{filename:``,numberOfLines:`3`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`3`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"rows\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: { `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"$stashID\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"20240215-job32\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})}),_jsxs(Warning,{children:[_jsx(_components.p,{children:_jsx(_components.strong,{children:`Risk of Data Loss`})}),_jsxs(_components.p,{children:[`We strongly recommend you use the `,_jsx(_components.code,{children:`If-Match`}),` header to ensure the table is not modified between steps 1 and 4. See the `,_jsx(_components.a,{href:`/api-reference/v2/tables/versioning`,children:`Data Versioning`}),` guide for more information.`]})]})]})]})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Overwrite Table","openapi":"put /tables/{tableID}","description":"Replaces the schema and/or data of a Big Table","href":"/api-reference/v2/tables/put-tables","hidden":false}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[{"title":"Updating the Schema","slug":"updating-the-schema","depth":3,"children":[]},{"title":"Examples","slug":"examples","depth":2,"children":[]}],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"responses":{"200":"7b05c1f7-80d5-4828-87eb-218ec0dc655b","202":"6b97fee8-df8b-4c48-9f58-19d1578c7c5e","400":"9be1d223-64df-473e-b981-5c44cb0a8305","402":"4e65bedb-c305-4240-976b-b47553d045d4","404":"7fecfa89-8d25-4f02-b620-20b5840b28fc","412":"c0ec3c3b-4cad-436d-8cd7-fd42310098dd","422":"935ed53d-a857-48e8-9650-28d20529ab23"},"parameters":["3bfed754-47ed-48d7-8ed7-8bbffda6c9e5","6105b0af-daaa-46a9-be1f-ddf7c4b90962","496a00c6-7eee-42e1-9225-0df55348b0f2","4c78b7db-87ca-4658-9430-4088d0ec57b1"],"requestBody":"8d0d54f4-40c1-4c37-bc6b-b22af1855b89","description":"Replaces the schema and/or data of a Big Table","method":"put","type":"path","servers":["427470dc-1a39-4627-ac56-a1bc52cf9977"],"security":["328590db-7bd8-408e-be5c-75e581b70302"],"path":"/tables/{tableID}","baseUrlOptions":["https://api.glideapps.com"],"title":"","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{"3bfed754-47ed-48d7-8ed7-8bbffda6c9e5":{"name":"x-glide-asynchronous","in":"header","schema":{"type":"string","enum":["true","false"],"description":"Allow asynchronous processing, which will return a job ID. Note that this does not force asynchronouys processing. The caller must handle both synchronous and asynchronous responses.","isRequired":false,"uniqueKey":"","typeLabel":"enum\u003cstring>"},"required":false},"6105b0af-daaa-46a9-be1f-ddf7c4b90962":{"name":"if-match","in":"header","schema":{"type":"string","pattern":"^\"[0-9]+\"$","description":"ETag of the current table version. If provided, the request will fail if the table has been updated since the given version. See [Data Versioning](/api-reference/v2/tables/versioning).","isRequired":false,"uniqueKey":"","typeLabel":"string"},"required":false},"496a00c6-7eee-42e1-9225-0df55348b0f2":{"name":"tableID","in":"path","schema":{"type":"string","description":"ID of the table, e.g., `2a1bad8b-cf7c-44437-b8c1-e3782df6`","example":"2a1bad8b-cf7c-44437-b8c1-e3782df6","isRequired":true,"uniqueKey":"","typeLabel":"string"},"required":true},"4c78b7db-87ca-4658-9430-4088d0ec57b1":{"name":"onSchemaError","in":"query","schema":{"type":"string","enum":["abort","dropColumns","updateSchema"],"description":"The action to take when the passed data does not match the table schema:\n\n- `abort`: Abort the entire operation and return an error.\n- `dropColumns`: Ignore the data that caused the error, and do not import those columns in the affected rows.\n- `updateSchema`: Update the schema as needed to add any missing columns or widen the data types of existing columns, and then import the data from them.","example":"updateSchema","isRequired":false,"uniqueKey":"","typeLabel":"enum\u003cstring>"},"required":false}},"requestBody":{"content":{"application/json":{"schema":{"oneOf":[{"type":"object","required":["rows"],"properties":{"rows":{"oneOf":[{"type":"array","items":{"type":"object","additionalProperties":{"oneOf":[{}],"uniqueKey":"oneOf.0.rows.oneOf.0.items.[INDEX].additionalProperties","typeLabel":"any"},"description":"A row object conforming to the schema of the table, where keys are the column IDs and values are the column values:\n\n```json\n{\n\t\"fullName\": \"Alex Bard\",\n\t\"invoiceDate\": \"2024-07-29T14:04:15.561Z\",\n\t\"totalAmount\": 34.50,\n\t\"amountPaid\": 0\n}\n```","example":{"fullName":"Alex Bard","invoiceDate":"2024-07-29T14:04:15.561Z","totalAmount":34.5,"amountPaid":0},"uniqueKey":"oneOf.0.rows.oneOf.0.items.[INDEX]","typeLabel":"object"},"description":"A collection of row objects conforming to the schema of the table where keys are the column IDs and values are the column values:\n\n```json\n[\n\t{\n\t\t\"fullName\": \"Alex Bard\",\n\t\t\"invoiceDate\": \"2024-07-29T14:04:15.561Z\",\n\t\t\"totalAmount\": 34.50,\n\t\t\"amountPaid\": 0\n\t},\n\t{\n\t\t\"fullName\": \"Alicia Hines\",\n\t\t\"invoiceDate\": \"2023-06-15T10:30:00.000Z\",\n\t\t\"totalAmount\": 50.75,\n\t\t\"amountPaid\": 20\n\t}\n]\n```","example":[{"fullName":"Alex Bard","invoiceDate":"2024-07-29T14:04:15.561Z","totalAmount":34.5,"amountPaid":0},{"fullName":"Alicia Hines","invoiceDate":"2023-06-15T10:30:00.000Z","totalAmount":50.75,"amountPaid":20}],"isRequired":true,"uniqueKey":"oneOf.0.rows.oneOf.0","typeLabel":"object[]"},{"type":"object","description":"A single reference to a [stash](/api-reference/v2/stashing) whose data should be used.","required":["$stashID"],"properties":{"$stashID":{"type":"string","pattern":"^[a-zA-Z0-9][a-zA-Z0-9_-]{0,255}$","description":"ID of the stash, e.g., `20240215-job32`","example":"20240215-job32","isRequired":true,"uniqueKey":"oneOf.0.rows.oneOf.1.$stashID","typeLabel":"string"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"oneOf.0.rows.oneOf.1","typeLabel":"object"}],"isRequired":true,"uniqueKey":"oneOf.0.rows","typeLabel":"object[] | object"},"schema":{"type":"object","properties":{"columns":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","description":"Internal ID of the column, e.g., `fullName`. This value cannot be changed once created.","example":"fullName","isRequired":true,"uniqueKey":"oneOf.0.schema.columns.items.[INDEX].id","typeLabel":"string"},"type":{"oneOf":[{"type":"string","description":"The type of the column.","enum":["string","uri","imageURI","audioURI","markdown","phoneNumber","emailAddress","emoji","date","time","dateTime","duration","number","boolean","json"],"isRequired":true,"uniqueKey":"oneOf.0.schema.columns.items.[INDEX].type.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"object","description":"The type of the column.","required":["kind"],"properties":{"kind":{"type":"string","enum":["string","uri","imageURI","audioURI","markdown","phoneNumber","emailAddress","emoji","date","time","dateTime","duration","number","boolean","json"],"isRequired":true,"uniqueKey":"oneOf.0.schema.columns.items.[INDEX].type.oneOf.1.kind","typeLabel":"enum\u003cstring>"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"oneOf.0.schema.columns.items.[INDEX].type.oneOf.1","typeLabel":"object"},{"type":"object","description":"The type of the column.","required":["kind","items"],"properties":{"kind":{"type":"string","enum":["array"],"isRequired":true,"uniqueKey":"oneOf.0.schema.columns.items.[INDEX].type.oneOf.2.kind","typeLabel":"enum\u003cstring>"},"items":{"type":"object","properties":{"kind":{"type":"string","enum":["string","uri","imageURI","audioURI","markdown","phoneNumber","emailAddress","emoji","date","time","dateTime","duration","number","boolean","json"],"isRequired":true,"uniqueKey":"oneOf.0.schema.columns.items.[INDEX].type.oneOf.2.\\items.kind","typeLabel":"enum\u003cstring>"}},"required":["kind"],"additionalProperties":false,"isRequired":true,"uniqueKey":"oneOf.0.schema.columns.items.[INDEX].type.oneOf.2.\\items","typeLabel":"object"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"oneOf.0.schema.columns.items.[INDEX].type.oneOf.2","typeLabel":"object"}],"isRequired":true,"uniqueKey":"oneOf.0.schema.columns.items.[INDEX].type","typeLabel":"enum\u003cstring> · object · object"},"displayName":{"type":"string","description":"Human-readable display name of the column, e.g., `Full Name`. Can be modified once created.","example":"Full Name","uniqueKey":"oneOf.0.schema.columns.items.[INDEX].displayName","typeLabel":"string"}},"required":["id","type"],"additionalProperties":false,"uniqueKey":"oneOf.0.schema.columns.items.[INDEX]","typeLabel":"object"},"description":"A collection of column definitions, in the order that they are to be displayed in the table.","isRequired":true,"uniqueKey":"oneOf.0.schema.columns","typeLabel":"object[]"}},"required":["columns"],"additionalProperties":false,"description":"The schema of the table as a collection of column definitions.","example":{"columns":[{"id":"fullName","displayName":"Full Name","type":"string"},{"id":"invoiceDate","displayName":"Invoice Date","type":"dateTime"},{"id":"totalAmount","displayName":"Total","type":"number"},{"id":"amountPaid","displayName":"Paid","type":"number"}]},"uniqueKey":"oneOf.0.schema","typeLabel":"object"}},"additionalProperties":false,"uniqueKey":"oneOf.0","typeLabel":"object"},{"type":"array","items":{"type":"object","additionalProperties":{"oneOf":[{}],"uniqueKey":"oneOf.1.items.[INDEX].additionalProperties","typeLabel":"any"},"description":"A row object conforming to the schema of the table, where keys are the column IDs and values are the column values:\n\n```json\n{\n\t\"fullName\": \"Alex Bard\",\n\t\"invoiceDate\": \"2024-07-29T14:04:15.561Z\",\n\t\"totalAmount\": 34.50,\n\t\"amountPaid\": 0\n}\n```","example":{"fullName":"Alex Bard","invoiceDate":"2024-07-29T14:04:15.561Z","totalAmount":34.5,"amountPaid":0},"uniqueKey":"oneOf.1.items.[INDEX]","typeLabel":"object"},"description":"A collection of row objects conforming to the schema of the table where keys are the column IDs and values are the column values:\n\n```json\n[\n\t{\n\t\t\"fullName\": \"Alex Bard\",\n\t\t\"invoiceDate\": \"2024-07-29T14:04:15.561Z\",\n\t\t\"totalAmount\": 34.50,\n\t\t\"amountPaid\": 0\n\t},\n\t{\n\t\t\"fullName\": \"Alicia Hines\",\n\t\t\"invoiceDate\": \"2023-06-15T10:30:00.000Z\",\n\t\t\"totalAmount\": 50.75,\n\t\t\"amountPaid\": 20\n\t}\n]\n```","example":[{"fullName":"Alex Bard","invoiceDate":"2024-07-29T14:04:15.561Z","totalAmount":34.5,"amountPaid":0},{"fullName":"Alicia Hines","invoiceDate":"2023-06-15T10:30:00.000Z","totalAmount":50.75,"amountPaid":20}],"uniqueKey":"oneOf.1","typeLabel":"object[]"}],"uniqueKey":"","typeLabel":"object | object[]"},"examples":{"Example":{"title":"Example","value":{"rows":[{"fullName":"Alex Bard","invoiceDate":"2024-07-29T14:04:15.561Z","totalAmount":34.5,"amountPaid":0},{"fullName":"Alicia Hines","invoiceDate":"2023-06-15T10:30:00.000Z","totalAmount":50.75,"amountPaid":20}],"schema":{"columns":[{"id":"fullName","displayName":"Full Name","type":"string"},{"id":"invoiceDate","displayName":"Invoice Date","type":"dateTime"},{"id":"totalAmount","displayName":"Total","type":"number"},{"id":"amountPaid","displayName":"Paid","type":"number"}]}}}},"exampleType":"generated"},"text/csv":{"schema":{"type":"string","description":"A CSV string. The first line is column IDs, and each subsequent line is a row of data.","example":"Name,Age,Birthday\nAlice,25,2024-08-29T09:46:16.722Z\nBob,30,2020-01-15T09:00:16.722Z","uniqueKey":"","typeLabel":"string"},"examples":{"Example":{"title":"Example","value":"Name,Age,Birthday\nAlice,25,2024-08-29T09:46:16.722Z\nBob,30,2020-01-15T09:00:16.722Z"}},"exampleType":"generated"},"text/tab-separated-values":{"schema":{"type":"string","description":"A TSV string. The first line is column IDs, and each subsequent line is a row of data.","example":"Name\tAge\tBirthday\nAlice\t25\t2024-08-29T09:46:16.722Z\nBob\t30\t2020-01-15T09:00:16.722Z","uniqueKey":"","typeLabel":"string"},"examples":{"Example":{"title":"Example","value":"Name\tAge\tBirthday\nAlice\t25\t2024-08-29T09:46:16.722Z\nBob\t30\t2020-01-15T09:00:16.722Z"}},"exampleType":"generated"}},"exampleType":"generated"},"responses":{"7b05c1f7-80d5-4828-87eb-218ec0dc655b":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","properties":{"rowIDs":{"type":"array","items":{"type":"string","description":"ID of the row, e.g., `zcJWnyI8Tbam21V34K8MNA`","example":"zcJWnyI8Tbam21V34K8MNA","uniqueKey":"data.rowIDs.items.[INDEX]","typeLabel":"string"},"description":"Row IDs of added rows, returned in the same order as the input rows, e.g., \n\n```json\n[\n\t\"zcJWnyI8Tbam21V34K8MNA\",\n\t\"93a19-cf7c-44437-b8c1-e9acbbb\"\n]\n```","example":["zcJWnyI8Tbam21V34K8MNA","93a19-cf7c-44437-b8c1-e9acbbb"],"isRequired":true,"uniqueKey":"data.rowIDs","typeLabel":"string[]"}},"required":["rowIDs"],"additionalProperties":false,"isRequired":true,"uniqueKey":"data","typeLabel":"object"}},"required":["data"],"additionalProperties":false,"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"data":{"rowIDs":["zcJWnyI8Tbam21V34K8MNA","93a19-cf7c-44437-b8c1-e9acbbb"]}}}},"exampleType":"generated"}},"exampleType":"generated"},"6b97fee8-df8b-4c48-9f58-19d1578c7c5e":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","properties":{"jobID":{"type":"string","description":"The ID of the asynchronous job","isRequired":true,"uniqueKey":"data.jobID","typeLabel":"string"}},"required":["jobID"],"additionalProperties":false,"isRequired":true,"uniqueKey":"data","typeLabel":"object"}},"required":["data"],"additionalProperties":false,"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"data":{"jobID":"\u003cstring>"}}}},"exampleType":"generated"}},"exampleType":"generated"},"9be1d223-64df-473e-b981-5c44cb0a8305":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"type":{"type":"string","isRequired":true,"uniqueKey":"error.type","typeLabel":"string"},"message":{"type":"string","isRequired":true,"uniqueKey":"error.message","typeLabel":"string"}},"required":["type","message"],"additionalProperties":false,"isRequired":true,"uniqueKey":"error","typeLabel":"object"}},"required":["error"],"additionalProperties":false,"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error":{"type":"\u003cstring>","message":"\u003cstring>"}}}},"exampleType":"generated"}},"exampleType":"generated"},"4e65bedb-c305-4240-976b-b47553d045d4":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"type":{"type":"string","enum":["payment_required"],"isRequired":true,"uniqueKey":"error.type","typeLabel":"enum\u003cstring>"},"message":{"type":"string","isRequired":true,"uniqueKey":"error.message","typeLabel":"string"}},"required":["type","message"],"additionalProperties":false,"isRequired":true,"uniqueKey":"error","typeLabel":"object"}},"required":["error"],"additionalProperties":false,"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error":{"type":"payment_required","message":"\u003cstring>"}}}},"exampleType":"generated"}},"exampleType":"generated"},"7fecfa89-8d25-4f02-b620-20b5840b28fc":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"type":{"type":"string","enum":["table_not_found","table_not_big_table"],"isRequired":true,"uniqueKey":"error.type","typeLabel":"enum\u003cstring>"},"message":{"type":"string","isRequired":true,"uniqueKey":"error.message","typeLabel":"string"}},"required":["type","message"],"additionalProperties":false,"isRequired":true,"uniqueKey":"error","typeLabel":"object"}},"required":["error"],"additionalProperties":false,"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error":{"type":"table_not_found","message":"\u003cstring>"}}}},"exampleType":"generated"}},"exampleType":"generated"},"c0ec3c3b-4cad-436d-8cd7-fd42310098dd":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"type":{"type":"string","enum":["precondition_failed"],"isRequired":true,"uniqueKey":"error.type","typeLabel":"enum\u003cstring>"},"message":{"type":"string","isRequired":true,"uniqueKey":"error.message","typeLabel":"string"}},"required":["type","message"],"additionalProperties":false,"isRequired":true,"uniqueKey":"error","typeLabel":"object"}},"required":["error"],"additionalProperties":false,"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error":{"type":"precondition_failed","message":"\u003cstring>"}}}},"exampleType":"generated"}},"exampleType":"generated"},"935ed53d-a857-48e8-9650-28d20529ab23":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"type":{"type":"string","enum":["column_id_reserved","column_id_not_unique","column_has_invalid_value","column_id_not_found"],"isRequired":true,"uniqueKey":"error.type","typeLabel":"enum\u003cstring>"},"message":{"type":"string","isRequired":true,"uniqueKey":"error.message","typeLabel":"string"}},"required":["type","message"],"additionalProperties":false,"isRequired":true,"uniqueKey":"error","typeLabel":"object"}},"required":["error"],"additionalProperties":false,"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error":{"type":"column_id_reserved","message":"\u003cstring>"}}}},"exampleType":"generated"}},"exampleType":"generated"}},"security":{"328590db-7bd8-408e-be5c-75e581b70302":{"BearerAuth":{"type":"http","scheme":"bearer","description":"Bearer authentication header of the form Bearer `\u003ctoken>`, where `\u003ctoken>` is your [auth token](/api-reference/v2/general/authentication).","scopes":[]}}},"servers":{"427470dc-1a39-4627-ac56-a1bc52cf9977":{"description":"Production","url":"https://api.glideapps.com"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"http","scheme":"bearer","description":"Bearer authentication header of the form Bearer `\u003ctoken>`, where `\u003ctoken>` is your [auth token](/api-reference/v2/general/authentication).","scopes":[]},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"Bearer authentication header of the form Bearer `\u003ctoken>`, where `\u003ctoken>` is your [auth token](/api-reference/v2/general/authentication).","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"BearerAuth","name":"Authorization"}],"title":"BearerAuth"}]},"originalFileLocation":"openapi/swagger.json"},"subdomain":"glide","siteName":"Glide API Docs","title":"Overwrite Table - Glide API Docs","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-01-22T00:34:37.126Z","originalFileLocation":"api-reference/v2/tables/put-tables.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Replaces the schema and/or data of a Big Table\">\u003cmeta data-mint-head name=\"application-name\" content=\"Glide API Docs\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/glide/6ZlBNQAQ94NZ_4cK/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/glide/6ZlBNQAQ94NZ_4cK/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/glide/6ZlBNQAQ94NZ_4cK/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/glide/6ZlBNQAQ94NZ_4cK/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/glide/6ZlBNQAQ94NZ_4cK/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/glide/6ZlBNQAQ94NZ_4cK/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/glide/6ZlBNQAQ94NZ_4cK/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/glide/6ZlBNQAQ94NZ_4cK/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/glide/6ZlBNQAQ94NZ_4cK/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Overwrite Table - Glide API Docs\">\u003cmeta data-mint-head property=\"og:description\" content=\"Replaces the schema and/or data of a Big Table\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Glide API Docs\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://apidocs.glideapps.com/api-reference/v2/tables/put-tables\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://glide.mintlify.app/_mintlify/api/og/v2?division=Tables\u0026amp;title=Overwrite+Table\u0026amp;description=Replaces+the+schema+and%2For+data+of+a+Big+Table\u0026amp;theme=b74deb509ef937c24c639106\u0026amp;signature=83a43a1647e2444a3613eb40ec13eecf7fab9c12095346ee2c2a43bf287a732f\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Overwrite Table - Glide API Docs\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Replaces the schema and/or data of a Big Table\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://glide.mintlify.app/_mintlify/api/og/v2?division=Tables\u0026amp;title=Overwrite+Table\u0026amp;description=Replaces+the+schema+and%2For+data+of+a+Big+Table\u0026amp;theme=b74deb509ef937c24c639106\u0026amp;signature=83a43a1647e2444a3613eb40ec13eecf7fab9c12095346ee2c2a43bf287a732f\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/glide/6ZlBNQAQ94NZ_4cK/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Glide API Docs\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#18BED4\">\u003clink data-mint-head rel=\"canonical\" href=\"https://apidocs.glideapps.com/api-reference/v2/tables/put-tables\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/v2/tables/put-tables.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://apidocs.glideapps.com/#organization\",\"name\":\"Glide API Docs\",\"url\":\"https://apidocs.glideapps.com\"},{\"@type\":\"WebSite\",\"@id\":\"https://apidocs.glideapps.com#website\",\"name\":\"Glide API Docs\",\"url\":\"https://apidocs.glideapps.com\",\"publisher\":{\"@id\":\"https://apidocs.glideapps.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://apidocs.glideapps.com/api-reference/v2/tables/put-tables#webpage\",\"url\":\"https://apidocs.glideapps.com/api-reference/v2/tables/put-tables\",\"name\":\"Overwrite Table\",\"description\":\"Replaces the schema and/or data of a Big Table\",\"dateModified\":\"2026-01-22T00:34:37.126Z\",\"isPartOf\":{\"@id\":\"https://apidocs.glideapps.com#website\"},\"breadcrumb\":{\"@id\":\"https://apidocs.glideapps.com/api-reference/v2/tables/put-tables#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://apidocs.glideapps.com/api-reference/v2/tables/put-tables#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Tables\",\"item\":\"https://apidocs.glideapps.com/api-reference/v2/tables/versioning\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Overwrite Table\",\"item\":\"https://apidocs.glideapps.com/api-reference/v2/tables/put-tables\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://apidocs.glideapps.com/api-reference/v2/tables/put-tables#apireference\",\"headline\":\"Overwrite Table\",\"name\":\"Overwrite Table\",\"description\":\"Replaces the schema and/or data of a Big Table\",\"url\":\"https://apidocs.glideapps.com/api-reference/v2/tables/put-tables\",\"mainEntityOfPage\":{\"@id\":\"https://apidocs.glideapps.com/api-reference/v2/tables/put-tables#webpage\"},\"dateModified\":\"2026-01-22T00:34:37.126Z\",\"publisher\":{\"@id\":\"https://apidocs.glideapps.com/#organization\"},\"isPartOf\":{\"@id\":\"https://apidocs.glideapps.com#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Glide API Docs\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Glide API Docs","nav":{"global":null,"groups":[{"group":"General","pages":[{"title":"Glide API v2.0","sidebarTitle":"Introduction","href":"/api-reference/v2/general/introduction"},{"title":"Authentication","href":"/api-reference/v2/general/authentication"},{"title":"Errors","href":"/api-reference/v2/general/errors"},{"title":"Limits","href":"/api-reference/v2/general/limits"}]},{"group":"Tables","pages":[{"title":"Data Versioning","href":"/api-reference/v2/tables/versioning"},{"title":"List Tables","openapi":"get /tables","href":"/api-reference/v2/tables/get-tables"},{"title":"Get Rows","openapi":"get /tables/{tableID}/rows","href":"/api-reference/v2/tables/get-table-rows"},{"title":"Get Row by ID","openapi":"get /tables/{tableID}/rows/{rowID}","href":"/api-reference/v2/tables/get-table-row"},{"title":"Get Rows Version","openapi":"head /tables/{tableID}/rows","href":"/api-reference/v2/tables/head-table-rows"},{"title":"Create Table","openapi":"post /tables","href":"/api-reference/v2/tables/post-tables"},{"title":"Add Rows to Table","openapi":"post /tables/{tableID}/rows","description":"Adds rows to a Big Table","href":"/api-reference/v2/tables/post-table-rows"},{"title":"Overwrite Table","openapi":"put /tables/{tableID}","href":"/api-reference/v2/tables/put-tables"},{"title":"Update Row","openapi":"patch /tables/{tableID}/rows/{rowID}","description":"Updates a row in a Big Table","href":"/api-reference/v2/tables/patch-table-row"},{"title":"Delete Row","openapi":"delete /tables/{tableID}/rows/{rowID}","href":"/api-reference/v2/tables/delete-table-row"}]},{"group":"Stashing","pages":[{"title":"Introduction","href":"/api-reference/v2/stashing/introduction"},{"title":"Stash Data","openapi":"put /stashes/{stashID}/{serial}","href":"/api-reference/v2/stashing/put-stashes-serial"},{"title":"Delete Stash","openapi":"delete /stashes/{stashID}","href":"/api-reference/v2/stashing/delete-stash"}]},{"group":"Jobs","pages":[{"title":"Get Job Status","openapi":"get /jobs/{jobID}","href":"/api-reference/v2/jobs/get-job"}]},{"group":"Uploads","pages":[{"title":"Create Upload","openapi":"post /apps/{appID}/uploads","href":"/api-reference/v2/uploads/post-apiapps-uploads"},{"title":"Complete Upload","openapi":"post /apps/{appID}/uploads/{uploadID}/complete","href":"/api-reference/v2/uploads/post-apiapps-uploads-uploadid-complete"}]},{"group":"Tutorials","pages":[{"title":"Bulk Import","href":"/api-reference/v2/tutorials/bulk-import"}]},{"group":"Resources","pages":[{"title":"Glide API Postman Collection","sidebarTitle":"Postman","href":"/api-reference/v2/resources/postman"},{"title":"Glide API Changelog","sidebarTitle":"Changelog","href":"/api-reference/v2/resources/changelog"}]}]},"basePath":"","title":"Overwrite Table - Glide API Docs","buildId":"dpl_36EDyZCDfRuoUD9af5CH4M1bqY2h","deploymentId":"dpl_36EDyZCDfRuoUD9af5CH4M1bqY2h","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-DCDCdBVX.js","utils-ME8dDnLe.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-0e84ACsd.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-wgRBj-ia.js","snippetPresets-C11Sgb-o.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-C0lapOpP.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-ZeRQV8fF.js","shallow-BupWh095.js","getApiPlaygroundDisplay-BnYQO2Ss.js","CodeSnippet-RKKOc8c_.js","CodeSnippets-Drf_m8wS.js","Page-Bevw23-4.js","getPastedJson-u6QiPzNZ.js","icon-Bb-CBSxO.js","MethodPill-F7l5AI7V.js","DuplicateIcon-IiAXkdSg.js","createIcon-FliI8EBc.js","DynamicMarkdown-B62XqCSI.js","SectionHeading-Dj31pT03.js","axios-vUo_bRtp.js","Markdown-BOgQCTwD.js","clsx-BIWXJmsZ.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-DKZWslLH.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-UDqbR6xh.js"]}